# $Revision: 1.31.2.4 $, $Date: 2008-02-18 12:10:43 $
Summary:	Intel IA32 CPU Microcode Utility
Summary(pl):	Aktualizator mikrokodu procesorw Intel IA32
Name:		microcode_ctl
Version:	1.14
Release:	3
Epoch:		1
License:	GPL
Group:		Base
Source0:	http://www.urbanmyth.org/microcode/%{name}-%{version}.tar.gz
# Source0-md5:	c05a660409e030095ea91a30422d5868
Source1:	%{name}.init
URL:		http://www.urbanmyth.org/microcode/
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Conflicts:	kernel < 2.2.0
ExclusiveArch:	i686 pentium2 pentium3 pentium4 %{x8664} ia32e
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The microcode_ctl utility is a companion to the IA32 microcode driver.
The utility has two uses: a) it decodes and sends new microcode to the
kernel driver to be uploaded to Intel IA32 family processors. (Pentium
Pro, PII, Celeron, PIII, Xeon Pentium 4 etc.) b) it signals the kernel
driver to release any buffers it may hold

The microcode update is volatile and needs to be uploaded on each
system boot i.e. it doesn't reflash your cpu permanently, reboot and
it reverts back to the old microcode.

%description -l pl
Narzdzie bdce dodatkiem do sterownika mikrokodu IA32. Program
dekoduje i wysya nowy mikrokod do jdra systemu w celu zaadowania go
do jednego z procesorw rodziny IA32 (Pentium Pro, PII, Celeron, PIII,
Xeon, Pentium 4 itd.). Ponadto wysyany jest sygna do jdra by to
zwolnio wszystkie bufory.

Aktualizacja mikrokodu musi by dokonywana po kadym restarcie systemu
tzn. nie jest to trwaa aktualizacja. Po restarcie procesor zawiera
stary mikrokod.

%prep
%setup -q

%build
%{__cc} %{rpmldflags} %{rpmcflags} -Wall \
	microcode_ctl.c -o microcode_ctl

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_sysconfdir}}
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install	%{name} $RPM_BUILD_ROOT%{_sbindir}
install %{name}.8 $RPM_BUILD_ROOT%{_mandir}/man8
install intel-ia32microcode-*.txt \
	$RPM_BUILD_ROOT%{_sysconfdir}/microcode.dat

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc Changelog README
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) %config(noreplace) %{_sysconfdir}/microcode.dat
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: microcode_ctl.spec,v $
Revision 1.31.2.4  2008-02-18 12:10:43  undefine
- build on amd64 builders too (in ac amd64 support intel xeon too)

Revision 1.31.2.3  2007-04-01 15:33:03  glen
- rel 2

Revision 1.31.2.2  2007/04/01 15:29:17  glen
- downgrade to 1.14 for 2.6.16 kernel

Revision 1.31.2.1  2007/02/18 10:51:46  glen
- 1.16

Revision 1.31  2006/10/06 08:45:59  qboosh
- updated to 1.15 (new microcode from Intel)

Revision 1.30  2006/07/01 14:06:53  qboosh
- updated to 1.14 (new microcode)
- updated EA as Intel x86_64 are supported too

Revision 1.29  2006/03/05 14:19:27  glen
- cosmetics

Revision 1.28  2006/02/05 19:04:18  qboosh
- updated to 1.13 (new microcode from Intel)
- s/PreReq/Requires/, removed i[345]86 from EA

Revision 1.27  2005/09/13 19:52:42  arekm
- up to 1.12

Revision 1.26  2005/03/18 17:30:14  darekr
- noreplace for %config

Revision 1.25  2004/11/02 17:28:16  adamg
- release 2 (with fixed init script)

Revision 1.24  2004/10/31 08:28:57  darekr
- updated to 1.11

Revision 1.23  2004/10/29 13:05:43  wiget
- updated to 1.10

Revision 1.22  2004/09/09 17:45:11  arekm
- updated to 1.09

Revision 1.21  2004/09/02 10:25:19  snurf
- typos / formatting / etc.

Revision 1.20  2004/08/30 21:29:08  qboosh
- updated to 1.08
- added llh patch, don't use kernel headers (not even needed)
- don't build on athlon - would be useless, it's for Intel x86 CPUs only

Revision 1.19  2004/04/09 20:32:59  adamg
- updated to 1.07

Revision 1.18  2003/07/29 15:45:00  qboosh
- more specific Requires, more changes where needed

Revision 1.17  2003/05/27 10:49:08  trojan
- added Source-md5

Revision 1.16  2003/05/25 05:50:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2002/12/07 14:33:27  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.14  2002/11/27 22:06:22  juandon
- new %doc

Revision 1.13  2002/02/22 23:29:16  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:13:50  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/09/24 15:15:30  qboosh
- release 2: Prereq: /sbin/chkconfig

Revision 1.10  2001/08/19 20:27:20  saq
- use %_kernelsrcdir

Revision 1.9  2001/07/26 05:42:18  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.7  2001/06/17 18:26:26  kloczek
- updated to 1.06.

Revision 1.6  2001/05/31 21:51:54  misiek
- updated to 1.05
- fixed init.d script (stop/reload/restart case)

Revision 1.5  2001/04/30 16:05:21  kloczek
- added using %{rpmcflags} macro.

Revision 1.4  2001/02/07 20:56:14  kloczek
- very silly bug @#!% :> s/BuildArch/ExclusiveArch/

Revision 1.3  2001/02/07 20:51:20  kloczek
- s/gcc/%{__cc}/

Revision 1.2  2001/02/07 19:57:11  kloczek
- added rc-scripts to Requires and few cosmetics.

Revision 1.1  2001/02/07 16:49:05  misiek
- IA32 microcode update utility
